Download it now!
Bug 67365 - FILEOPEN rtf: Visualization - TABLE VIEWING destroyed
Summary: FILEOPEN rtf: Visualization - TABLE VIEWING destroyed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: x86 (IA32) Windows (All)
: medium major
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.2.0 target:4.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-26 18:57 UTC by Ivan
Modified: 2013-11-21 20:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
incorrectly being displayed file (22.20 KB, application/rtf)
2013-07-26 18:57 UTC, Ivan
Details
normal file visualization (53.92 KB, application/pdf)
2013-07-26 18:58 UTC, Ivan
Details
Simplified reproducer. (2.07 KB, application/rtf)
2013-07-26 22:05 UTC, Miklos Vajna
Details
problem (136.10 KB, image/jpeg)
2013-07-26 22:28 UTC, Ivan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan 2013-07-26 18:57:20 UTC
Created attachment 83047 [details]
incorrectly being displayed file

hi2all 

In an attachment (Output.rtf) part of incorrectly being displayed file.
The .pdf shows as the normal file looks in MS 2003.

Thanks for corrections!
Comment 1 Ivan 2013-07-26 18:58:34 UTC
Created attachment 83048 [details]
normal file visualization
Comment 2 Cor Nouws 2013-07-26 21:32:42 UTC
Hi Ivan,

thanks for the report.
Can you pls simply explain what is shown incorrect.
Maybe mark it on a graphic?

Also, are you sure that the files are the same?
In the rtf, I don't see " КПП (при наличии) " table, 3rd row

best,
Cor
Comment 3 Miklos Vajna 2013-07-26 22:05:16 UTC
Created attachment 83066 [details]
Simplified reproducer.

Right, there is a missing row (A3) from that table, see the attached simpler document.
Comment 4 Ivan 2013-07-26 22:28:38 UTC
Created attachment 83070 [details]
problem
Comment 5 Ivan 2013-07-26 22:37:52 UTC
hi Cor Nouws,

.RTF - source file libreoffice can not display correctly
.pdf - a normal visualization ms office 2003
Yes, the files are the same.
The second problem is a display of two sheets, instead of a single page.

В исходном файле .rtf неправильно отображаются две таблицы, пропущены строки в этих таблицах. Правильное отображение этого же файла в ms office 2003 представлено в pdf.
На картинке отмечены проблемные места.
Вторая проблема, это отображение двух листов, вместо одной страницы.
Comment 6 Commit Notification 2013-07-26 23:19:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=494937776956370eda868f91922c4cff34656050

fdo#67365 fix RTF import of inherited row props wrt unusual group stack



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-07-26 23:19:27 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=986ebb668d45a42bc1e8b744980619857e891ef5

fdo#67365 fix RTF import of inherited cell widths



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-07-26 23:19:55 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=165cd8332a0844314e698cf59936799676257ea1

fdo#67365 fix RTF import of RTF_QC in table cells wrt unusual group stack



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-07-26 23:20:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=83e0489217fd4b0fcf3ab62d002257b47e7a6459

fdo#67365 testcase



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Miklos Vajna 2013-07-26 23:52:03 UTC
(In reply to comment #5)
> The second problem is a display of two sheets, instead of a single page.

I'm afraid that is a problem independent from tables. See above, the 3 fixes should make your tables be OK; please file a separate bug for the "it's 2 pages, should be 1 page" problem.

-4-1 review: https://gerrit.libreoffice.org/5137
Comment 11 Cor Nouws 2013-07-27 10:22:08 UTC
(In reply to comment #10)

> ....  the 3 fixes should make your tables be OK;

Ah, that missing text was one of the bugs.

Miklos, you're incredible awesome :)
Comment 12 Ivan 2013-07-28 11:21:58 UTC
The bug is corrected only in a branch 4.2 (4.2 release publishing only Feb 2, 2014)? whether the bug will be corrected in 4.1?

3 more problems with this document, I can write here (alignment on the center, extra blank line between the text and the table, extra line in the table) or it's separate bugs?
Comment 13 Miklos Vajna 2013-07-28 12:21:16 UTC
Ivan,

The fixes are submitted for review for -4-1 as well, if everything goes well, it'll hit -4-1 next week and it'll be part of 4.1.1.

Please open a separate bug if you find more problems with the document.

Thanks!
Comment 14 Commit Notification 2013-07-28 13:17:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=336efde38d46fcf57ae7937c2ce4ffd35f052a10&h=libreoffice-4-1

fdo#67365 fix RTF import of inherited row props wrt unusual group stack


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.